1. jonmark's Avatar
    I'm running iOS 5 beta 3 and after being through these betas, I love the notification center but I'm just missing too much from jailbreak .. So I'm wanting to downgrade to the last iOS I had before the jump to 5, which was 4.2.1 ... I'm currently downloading the ipsw for it, so really I'm just wondering if it's as simple to install as it is every beta? I just do the option + restore and select that ipsw? And viola, I'm back on 4.2.1 and can jailbreak again? Do I need to downgrade my iTunes, too? ... This sounds easy enough, but I have a feeling it's not that easy ...
    07-13-2011 04:34 PM
  2. BLiNK's Avatar
    you might want to look here first..

    http://forums.tipb.com/ios-5-forum/2...ml#post1739862
    jonmark likes this.
    07-13-2011 04:36 PM
  3. jonmark's Avatar
    Ohh ... Hmm, ok, I guess it'll take a few more steps then, thanks
    07-13-2011 04:39 PM
  4. anon4705295's Avatar
    I'm not 100% on this, but I don't think you'll be able to get back to 4.2.1 as I don't think Apple is signing for it anymore. If you saved your blobs you probably can, but if not you'll be stuck going back to the latest iOS 4 version only.
    07-13-2011 08:00 PM
  5. Rusty Shackelford#IM's Avatar
    I'm not 100% on this, but I don't think you'll be able to get back to 4.2.1 as I don't think Apple is signing for it anymore. If you saved your blobs you probably can, but if not you'll be stuck going back to the latest iOS 4 version only.
    Correct. Apple stops signing older firmware versions as new ones are released. Unless you have you SHS blobs saved (which it doesn't sound like it), the best you can do is downgrade to the current OS which is 4.3.3 (AT&T) or 4.2.8 (Verizon). If you are able to swing either of those, you will be in the minority as most are having major difficulty downgrading from beta 3. Good luck though.
    07-13-2011 08:52 PM
  6. jonmark's Avatar
    Correct. Apple stops signing older firmware versions as new ones are released. Unless you have you SHS blobs saved (which it doesn't sound like it), the best you can do is downgrade to the current OS which is 4.3.3 (AT&T) or 4.2.8 (Verizon). If you are able to swing either of those, you will be in the minority as most are having major difficulty downgrading from beta 3. Good luck though.
    Hmm, yeah I don't even know what blobs are, haha, so I'm gonna say that no those aren't saved. I kinda read a few different places that I have to downgrade to beta 2 first, then from there downgrade to 4.3.3 ... Is 4.3.3 jailbreakable? I'd hate to go through this process and then turns out I won't be able to jailbreak at all ..
    07-14-2011 12:29 AM
  7. Rusty Shackelford#IM's Avatar
    99% sure 4.3.3 should be jailbreakable. There are several methods out there. It's getting back to 4.3.3 that's going to give you the most trouble. Good luck.
    jonmark likes this.
    07-14-2011 12:47 AM
  8. jonmark's Avatar
    Currently downloading beta 2 so I can attempt to go down to 4.3.3 ... Do I need to change iTunes version too? I currently am running the latest 10.5 beta 3
    07-15-2011 02:47 PM
  9. Fausty82's Avatar
    Currently downloading beta 2 so I can attempt to go down to 4.3.3 ... Do I need to change iTunes version too? I currently am running the latest 10.5 beta 3
    Yes, that's what has been reported...
    07-15-2011 02:50 PM
  10. Massie's Avatar
    Check out this article: Downgrade iOS 5 beta to iOS 4.3.3
    But hurry because with 4.3.4 out it won't be long before Apple stops allowing 4.3.3 restores.
    07-15-2011 02:55 PM
LINK TO POST COPIED TO CLIPBOARD